%define upstream_name	 Jcode
%define upstream_version 2.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary:	Japanese Charset Handle
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Jcode/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel

%description
Jcode.pm supports both object and traditional approach. With object approach,
you can go like;

$iso_2022_jp = Jcode->new($str)->h2z->jis;

Which is more elegant than;
 
$iso_2022_jp = &jcode::convert(\$str,'jis',jcode::getcode(\str), "z");

For those unfamiliar with objects, Jcode.pm still supports getcode() and
convert().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"
cd Unicode
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
%makeinstall_std
cd Unicode
%makeinstall_std

%check
%{__make} test

%files 
%doc README Changes
%{perl_vendorlib}/Jcode
%{perl_vendorlib}/Jcode.pm
%{perl_vendorarch}/Jcode
%{perl_vendorarch}/auto/Jcode
%{_mandir}/*/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.70.0-15.mga6
+ Revision: 1028820
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.70.0-14.mga6
+ Revision: 957579
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.70.0-13.mga6
+ Revision: 844929
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 2.70.0-12.mga6
+ Revision: 841979
- rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.70.0-11.mga5
+ Revision: 748288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.70.0-10.mga5
+ Revision: 685152
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.70.0-9.mga5
+ Revision: 631347
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.70.0-8.mga4
+ Revision: 524854
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.70.0-7.mga4
+ Revision: 431590
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.70.0-6.mga3
+ Revision: 368828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.70.0-5.mga3
+ Revision: 250793
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.70.0-4.mga2
+ Revision: 104712
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 2.70.0-3.mga1
+ Revision: 12327
- imported package perl-Jcode


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.70.0-3mdv2011.0
+ Revision: 564521
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.70.0-2mdv2011.0
+ Revision: 555968
- rebuild for perl 5.12

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.70.0-1mdv2010.1
+ Revision: 402034
- rebuild using %%perl_convert_version

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.07-2mdv2009.0
+ Revision: 265367
- rebuild early 2009.0 package (before pixel changes)

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.07-1mdv2009.0
+ Revision: 208354
- update to new version 2.07
- update to new version 2.07

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.06-3mdv2008.1
+ Revision: 152123
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.06-2mdv2008.0
+ Revision: 67061
- rebuild


* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 2.06-1mdv2007.0
- New release 2.06
- %%mkrel

* Wed May 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdk
- New release 2.05

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdk
- New release 2.04
- better source URL

* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 2.03-2mdk
-_rebuild_for_sparc

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.03-1mdk
- 2.03

* Fri Jun 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-1mdk
- New release 2.00
- make test in %%check

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.88-1mdk 
- new version
- spec cleanup
- better url
- rpmbuildupdate aware

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.86-2mdk 
- rebuild for new perl

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.86-1mdk
- 0.86

* Tue Dec 09 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.83-1mdk
- first mdk release

